import request from '@/utils/request'

// 查询装置空白会议列表
export function listContent(query) {
  return request({
    url: '/plant/content/list',
    method: 'get',
    params: query
  })
}

// 查询装置空白会议列表
export function listContent2(query) {
  return request({
    url: '/plant/content/list2',
    method: 'get',
    params: query
  })
}

// 查询装置空白会议详细
export function getContent(id) {
  return request({
    url: '/plant/content/' + id,
    method: 'get'
  })
}

// 新增装置空白会议
export function addContent(data) {
  return request({
    url: '/plant/content',
    method: 'post',
    data: data
  })
}

// 修改装置空白会议
export function updateContent(data) {
  return request({
    url: '/plant/content',
    method: 'put',
    data: data
  })
}

// 删除装置空白会议
export function delContent(id) {
  return request({
    url: '/plant/content/' + id,
    method: 'delete'
  })
}
